Inboxes

View an automation

View an automation. Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

GET
/inboxes/{inbox_id}/automations/{automation_id}

View an automation.

Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

inbox_id*string

Inbox identifier.

automation_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/inboxes/string/automations/string"
{  "data": {    "id": "string",    "name": "string",    "automatic": true,    "active": true,    "when": {},    "rules": {},    "actions": [      {}    ],    "created_by": {      "id": "string",      "name": "string",      "first_name": "string",      "last_name": "string",      "email": "[email protected]",      "phone": "string",      "job_title": "string",      "avatar": "http://example.com",      "role": "Account Owner",      "presence": "online",      "timezone": "string",      "time_format": "string",      "active_organization_id": "string",      "created_at": "2019-08-24T14:15:22Z",      "extra": {        "password_reset_required": true,        "notification_preferences": {},        "firebase_notification_preferences": {},        "mobile_notification_preferences": {},        "auto_advance_ticket_enabled": true,        "undo_send_enabled": true,        "undo_send_delay": 0      }    },    "uses_count": 0,    "last_used_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}